Package twisted :: Package spread :: Module flavors

[frames | no frames]

## Module twisted.spread.flavors

This module represents flavors of remotely acessible objects.

Currently this is only objects accessible through Perspective Broker, but will hopefully encompass all forms of remote access which can emulate subsets of PB (such as XMLRPC or SOAP).

Stability: semi-stable

Future Plans: Optimization. Exploitation of new-style object model. Optimizations to this module should not affect external-use semantics at all, but may have a small impact on users who subclass and override methods.

Author: Glyph Lefkowitz

Classes
`Cacheable` | A cached instance.
`Copyable` | Subclass me to get copied each time you are returned from or passed to a remote method.
`IPBRoot` | Factory for root Referenceable objects for PB servers.
`Referenceable` |
`RemoteCache` | A cache is a local representation of a remote `Cacheable` object.
`RemoteCacheMethod` | A method on a reference to a `RemoteCache`.
`RemoteCacheObserver` | I am a reverse-reference to the peer's `RemoteCache`.
`RemoteCopy` | I am a remote copy of a Copyable object.
`Root` | I provide a root object to `pb.Broker`s for a `pb.BrokerFactory`.
`Serializable` | An object that can be passed remotely.
`Viewable` | I will be converted to a `ViewPoint` when passed to or returned from a remote method.
`ViewPoint` | I act as an indirect reference to an object accessed through a `pb.Perspective`.

Function Summary
| `unjellyCached(unjellier, unjellyList)`
| `unjellyLCache(unjellier, unjellyList)`
| `unjellyLocal(unjellier, unjellyList)`

Variable Summary
`str` | `__version__` = `'1.32'`
`str` | `cache_atom` = `'cache'`
`str` | `cached_atom` = `'cached'`
`str` | `copy_atom` = `'copy'`
`dict` | `copyTags` = `{'twisted.web.server.Request': <class twisted...`
`str` | `remote_atom` = `'remote'`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.32'

### cache_atom

  Type:
    `str`
  Value:

        'cache'

### cached_atom

  Type:
    `str`
  Value:

        'cached'

### copy_atom

  Type:
    `str`
  Value:

        'copy'

### copyTags

  Type:
    `dict`
  Value:

        {'cached': <function unjellyCached at 0x84628e4>,
         'lcache': <function unjellyLCache at 0x846291c>,
         'local': <function unjellyLocal at 0x85a807c>,
         'remote': <class twisted.spread.pb.RemoteReference at 0x8535084>,
         'twisted.spread.pb.CopyableFailure': <class twisted.spread.pb.CopiedF\
        ailure at 0x8479924>,
         'twisted.web.server.Request': <class twisted.web.distrib.Request at 0\
        x86f6b34>}

### remote_atom

  Type:
    `str`
  Value:

        'remote'

Generated by Epydoc 2.0 on Sat May 15 20:08:47 2004 | http://epydoc.sf.net